﻿local LibStub = LibStub
local tinsert = tinsert
local tremove = tremove
local type = type

local addon = LibStub("AceAddon-3.0"):GetAddon("AverageCombatMana")
local L = addon.L

--[[
L["NONE"] = NONE
L["OUTLINE"] = "Thin"
L["THICKOUTLINE"] = "Thick"
]]--

function addon:OptionsTable()	
	local options = {
		name = L["Average Combat Mana"],
		handler = addon,
		type = "group",
		childGroups = "tab",
		args = {
			general = {
				name = GENERAL_LABEL,
				type = "group",
				order = 1,
				args = {
					addonEnabled = {
						order = 10,
						type = "toggle",
						name = L["Enable Average Combat Mana"],
						get = function() return self.db.profile.addonEnabled end,
						set = function(info, value)
							self.db.profile.addonEnabled = value
							if value then
								self:Enable()
							else
								self:Disable()
							end
						end
					},
					showBar = {
						order = 20,
						type = "toggle",
						name = L["Show Bar"],
						get = function() return self.db.profile.showBar end,
						set = function(info, value)
							if value then
								self:ShowBar()
							else
								self:HideBar()
							end
						end
					},
					chatOutput = {
						order = 50,
						type = "select",
						name = CHAT_OPTIONS_LABEL,
						desc = L["Chat channel you want your overall Mana regen to print. Smart Group will select Party or Raid depending on group type"],
						values = {
							["0-none"] = NONE,
							["1-self"] = YOU,							
							["2-smartGroup"] = L["Smart Group"],
							guild = CHAT_MSG_GUILD,
							party = CHAT_MSG_PARTY,
							raid = CHAT_MSG_RAID,
							say = CHAT_MSG_SAY,
							yell = CHAT_MSG_YELL
						},
						get = function() return self.db.profile.chatOutput end,
						set = function(info, value)	self.db.profile.chatOutput = value end
					}
				}
			},
			--[[
			barOptions = {
				name = L["Bar Options"],
				type = "group",
				order = 10,
				args = {					
					outline = {
						order = 160,
						type = "select",
						name = L["Outline"],
						values = {
							["NONE"] = NONE,
							["OUTLINE"] = L["OUTLINE"],
							["THICKOUTLINE"] = L["THICKOUTLINE"]
						},
						get = function() return self.db.profile.fontEffects end,
						set = function(info, value) self.db.profile.fontEffects = value end						
					}
				}
			},
			]]--
			helpTab = {
				order = 20,
				type = "group",
				name = HELP_LABEL,
				args = {
					helpHeader1 = {
						order = 10,
						type = "header",
						name = L["Bar Help"],							
					},
					helpDesc1 = {
						order = 20,
						type = "description",
						name = "* "..L["To move the bar, hold down the ALT key and drag with the left mouse button"]
					},
					helpDesc2 = {
						order = 30,
						type = "description",
						name = "* "..L["The bar must be shown in combat or nothing will work."]
					},
					helpDesc3 = {
						order = 40,
						type = "description",
						name = "* ".. L["Therefore the bar is automatically turned on during combat."]
					},
					spacer6 = {
						order = 100,
						type = "description",
						name = ""
					},
					helpHeader4 = {
						order = 110,
						type = "header",
						name = L["What Does this Addon Do?"]
					},
					helpDesc5 = {
						order = 120,
						type = "description",
						name = "* "..L["Every second your current Mana is grabbed, then compared to the previous value."]
					},
					helpDesc6 = {
						order = 130,
						type = "description",
						name = "* "..L["The ten most recent values are averaged, and that number moves the indicator."]					
					}
				}
			},
			creditsTab = {
				order = 30,
				type = "group",
				name = L["Credits"],
				args = {
					credits1 = {
						order = 10,
						type = "description",
						name = "* "..L["The idea for this addon came from Repose AKA Odobenus from Knights of the Storm, Alliance US Llane"]
					}
				}
			}
		}
	}
	return options
end